Bug 90078 - SIDEBAR: Improve the Area section of the properties tab
Summary: SIDEBAR: Improve the Area section of the properties tab
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.3.0
Keywords:
Depends on:
Blocks: Sidebar-Properties
  Show dependency treegraph
 
Reported: 2015-03-18 01:58 UTC by Yousuf Philips (jay)
Modified: 2017-11-05 21:41 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
mockup (46.27 KB, image/png)
2015-03-18 01:58 UTC, Yousuf Philips (jay)
Details
fill gradient screencast (713.81 KB, video/webm)
2016-06-15 11:12 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2015-03-18 01:58:40 UTC
Created attachment 114159 [details]
mockup

After working on the Line section in bug 89543 and a the new Shadow section in bug 87702, it was clear that the Area section also needed a revamp.

So the basic principle of the new design is to move the main fill and transparency drop down lists from underneath the label to the right of the label, which leaves the entire second row for customizing the options.

The original fill gradient only shows a drop down list of presets and instead of that, we let the user create their own gradient. The gradient angle drop down list includes values in increments of 15. If its not possible to add extra space to fill two rows of controls when gradient is selected, then fit the four controls in one line in this sequence - type, angle, color from, color to. The color from and color to would need to be change to icon-only drop drop downs like font color and highlighting in the character section.

With transparency, the drop down list on the right will only contain none, solid and gradient. When gradient is selected a gradient only drop down list control appears next to the current gradient settings control.

The attached mockup shows the area section in when various options are selected.
Comment 1 Robinson Tryon (qubit) 2015-03-19 14:57:38 UTC
Component: UX-Advise, so
Status -> NEW
Comment 2 Commit Notification 2015-08-26 14:15:16 UTC
Rishabh Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=489582458a03aaf25ddc83ae5e4416bbe236991d

tdf#90078: Improve the Area section of the properties tab

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Yousuf Philips (jay) 2015-08-31 02:51:25 UTC
So Rishabh's work is merged ( https://gerrit.libreoffice.org/#/c/16965/ ) and there are number of issues that should have been addressed.
Comment 4 Yousuf Philips (jay) 2015-08-31 03:09:53 UTC
1) When clicking on an object, the section appears with one set of controls and settings and then flips to what it should have be like.

2) When Fill is set to Gradient from None, all the drop down menus extend outside the edge of the sidebar and are cropped.

3) When Fill is set to Gradient, the color drop down menu controls should ideally be replaced with the new color control.

4) When Fill is set to Bitmap, there isnt an import button with the preset list.

5) When Transparency is set to any gradient, there is quite alot of space below the gradient control.

6) When Transparency is set to any gradient, the gradient control should be left aligned with the transparency drop down menu.
Comment 5 Susobhan Ghosh 2016-06-15 09:44:07 UTC
(In reply to Yousuf (Jay) Philips from comment #4)
> 1) When clicking on an object, the section appears with one set of controls
> and settings and then flips to what it should have be like.
> 
> 2) When Fill is set to Gradient from None, all the drop down menus extend
> outside the edge of the sidebar and are cropped.
> 
> 3) When Fill is set to Gradient, the color drop down menu controls should
> ideally be replaced with the new color control.
> 
> 4) When Fill is set to Bitmap, there isnt an import button with the preset
> list.
> 
> 5) When Transparency is set to any gradient, there is quite alot of space
> below the gradient control.
> 
> 6) When Transparency is set to any gradient, the gradient control should be
> left aligned with the transparency drop down menu.

#1 and #5 can't possibly be fixed (I talked to bubli about this too). And rishabh reports that he has fixed #2, and #4 (import button) clutters the .ui file and results in #5 like scenario. And I don't quite get #6 (or has it been fixed, if you could check). If you could check if these issues are still reproducible, that'd be great. I will be able to fix #3, #4 and #6.
Comment 6 Katarina Behrens (CIB) 2016-06-15 10:51:47 UTC
For the record: 

I can't repro any of the cases of cropped controls in mentioned in comment #4

In my env. (Linux, KDE), I can however see the gradient controls cropped when fill is changed from bitmap to gradient.
Comment 7 Yousuf Philips (jay) 2016-06-15 11:12:58 UTC
Created attachment 125671 [details]
fill gradient screencast

(In reply to Susobhan Ghosh from comment #5)
> #1 and #5 can't possibly be fixed (I talked to bubli about this too). And
> rishabh reports that he has fixed #2, and #4 (import button) clutters the
> .ui file and results in #5 like scenario. And I don't quite get #6 (or has
> it been fixed, if you could check). If you could check if these issues are
> still reproducible, that'd be great. I will be able to fix #3, #4 and #6.

#1 it should be fixable by hiding the fill gradient controls (gradientstyle, gradangle:0degrees, fillgrad2, etc) in the .ui file and showing the controls that need to shown when they need to be shown.

#2 unfortunately it isnt fully fixed as seen in the screencast

#6 i believe all you need to do is change selectgradient's horizontal alignment from end to start
Comment 8 Commit Notification 2016-06-21 20:49:07 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1bbf0612ea35c73adf0c2aabedf457f7d85acdc0

tdf#90078 Add import bitmap button to Area Panel

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2017-07-13 09:57:56 UTC
Setting Assignee back to default. Please assign it back to yourself if you're still working on this issue
Comment 10 Xisco Faulí 2017-11-05 21:41:42 UTC
A polite ping to Susobhan Ghosh: is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Thanks